import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class PhutureContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    phutureManagedIndex({ address, network }: ContractOpts): import("./ethers").PhutureManagedIndex;
    phutureVToken({ address, network }: ContractOpts): import("./ethers").PhutureVToken;
    phutureVTokenFactory({ address, network }: ContractOpts): import("./ethers").PhutureVTokenFactory;
}
export type { PhutureManagedIndex } from './ethers';
export type { PhutureVToken } from './ethers';
export type { PhutureVTokenFactory } from './ethers';
